<h1 align="left">
  CSX
</h1>
<p align="left">
CSX is a minimalistic UI-framework inspired by React+JSX for usage with WebComponents.
Additionaly to supporting and relying on WebComponents at its core, CSX also leverages the power of JS Decorators.
Thus removing the need for the clumsy setState({...}) method, which is now instead done by decorating properties with a @State decorator. 
</p>

## Usage

### Installation

```
npm install @cerxes/csx --save-dev --registry https://npm.cerxes.net
```

### Configure
```...TODO``` actual usage examples 

## License
This project is under MIT License [https://opensource.org/licenses/MIT](https://opensource.org/licenses/MIT)